Bug 28491 - kernel oops using lvm
Summary: kernel oops using lvm
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Pete Zaitcev
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-02-20 19:44 UTC by David Lawrence
Modified: 2007-04-18 16:31 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-17 22:18:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
kernel oops while running vgrename (49.66 KB, text/plain)
2001-02-20 19:45 UTC, Derek Tattersall
no flags Details

Description Derek Tattersall 2001-02-20 19:44:17 UTC
The output from ksymoops is attached

Comment 1 Derek Tattersall 2001-02-20 19:45:05 UTC
Created attachment 10560 [details]
kernel oops while running vgrename

Comment 2 Michael K. Johnson 2001-03-01 16:00:39 UTC
Choosing Pete at random to look into this...

Comment 3 Pete Zaitcev 2001-03-06 20:18:57 UTC
How did this happen? I am curious if the requestor run 
vgrename(8) or anything else has happened.
Pity that dmesg output was not saved.

Is the problem reproducible?


Comment 4 Pete Zaitcev 2001-03-07 20:05:59 UTC
--- linux-2.4.2-0.1.16/drivers/md/lvm.c	Wed Feb 28 13:04:36 2001
+++ linux-2.4.2-0.1.16-p3/drivers/md/lvm.c	Wed Mar  7 11:59:42 2001
@@ -1979,6 +1979,8 @@
 	lv_t *lv_ptr = NULL;
 	pv_t *pv_ptr = NULL;
 
+	if (vg_ptr == NULL) return -ENXIO;
+
 	if (copy_from_user(vg_name, arg, sizeof(vg_name)) != 0)
 		return -EFAULT;
 

A silly omission. LOL


Comment 5 Pete Zaitcev 2001-03-07 20:36:52 UTC
We are about to ship and LVM turned to be somewhat flakey.
The typo that I fixed for this bug is not the only one.
So, resolving into DEFERRED, even though this particular
fix is easy.

I'll see that mainstream kernel picks the fix. Won't help
LVM though until Heinz gets his act together.


Comment 6 Pete Zaitcev 2001-04-17 22:18:09 UTC
We went to 2.4.3-ac8 today and it has the fix in it.
I'll reopen and re-close with "Errata".



Note You need to log in before you can comment on or make changes to this bug.